Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 781581 - sys-apps/roccat-tools: migrate to GLEP 81
Summary: sys-apps/roccat-tools: migrate to GLEP 81
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glep-81
  Show dependency tree
 
Reported: 2021-04-08 21:48 UTC by Conrad Kostecki
Modified: 2021-07-22 20:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2021-04-08 21:48:28 UTC
Current package still uses old 'user' eclass. Please port to GLEP 81.
If you need help, just ask.
Comment 1 Larry the Git Cow gentoo-dev 2021-07-13 22:39:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/data/api.git/commit/?id=fd7ecba69232f2718abd4c02b4ecd0bf25376857

commit fd7ecba69232f2718abd4c02b4ecd0bf25376857
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2021-07-13 22:06:41 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2021-07-13 22:37:54 +0000

    uid-gid.txt: add gid (203) roccat
    
    Bug: https://bugs.gentoo.org/781581
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 files/uid-gid.txt | 1 +
 1 file changed, 1 insertion(+)
Comment 2 Larry the Git Cow gentoo-dev 2021-07-14 19:52:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ef28eb2a5ca1012bb18301a1b4497cf8b9c13f5

commit 2ef28eb2a5ca1012bb18301a1b4497cf8b9c13f5
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2021-07-14 18:53:36 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2021-07-14 19:51:06 +0000

    acct-group/roccat: add group (203) roccat
    
    Bug: https://bugs.gentoo.org/781581
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 acct-group/roccat/metadata.xml    |  8 ++++++++
 acct-group/roccat/roccat-0.ebuild | 10 ++++++++++
 2 files changed, 18 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2021-07-22 20:09:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d311d9b04463a0ce7c5f7a176db24a6920056304

commit d311d9b04463a0ce7c5f7a176db24a6920056304
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2021-07-22 19:47:14 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2021-07-22 20:08:44 +0000

    sys-apps/roccat-tools: drop old version
    
    Closes: https://bugs.gentoo.org/781581
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 .../roccat-tools/roccat-tools-5.9.0-r100.ebuild    | 147 ---------------------
 1 file changed, 147 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5ff9a52d45da93a5b8dd802bec7dc9fdc402587

commit c5ff9a52d45da93a5b8dd802bec7dc9fdc402587
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2021-07-22 19:46:27 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2021-07-22 20:08:44 +0000

    sys-apps/roccat-tools: migrate to GLEP 81
    
    Bug: https://bugs.gentoo.org/781581
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 .../roccat-tools/roccat-tools-5.9.0-r101.ebuild    | 146 +++++++++++++++++++++
 1 file changed, 146 insertions(+)